ApiMcp server generation
Get generation analysis
Get the API analysis result for a generation job. Returns planned tools for review before approval.
curl -X GET "https://loading/api/v1/servers/generate/497f6eca-6276-4993-bfeb-53cbbbba6f08/analysis"{
"job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",
"analysis": {
"api_title": "string",
"api_description": "",
"base_url": "",
"auth_type": "none",
"endpoints_found": 0,
"tools_planned": [
{
"name": "string",
"description": "string",
"use_when": "string",
"returns": "string",
"endpoint": "string",
"method": "string",
"scope": "read",
"is_idempotent": true,
"parameters": [
{
"name": "string",
"type": "string",
"description": "string",
"required": true,
"default": "string",
"example": "string"
}
],
"mcp_annotations": {
"readOnlyHint": false,
"destructiveHint": false,
"idempotentHint": false,
"openWorldHint": true
},
"usage_hints": "string",
"include": true,
"original_operation_id": "string"
}
],
"legacy_tools": [
{
"name": "string",
"description": "string",
"endpoint": "string",
"method": "string",
"parameters": [
"string"
],
"include": true
}
],
"warnings": [
"string"
],
"pruned_endpoints": [
{
"path": "",
"method": "",
"reason": ""
}
],
"consolidated_endpoints": [
{
"original_endpoints": [
"string"
],
"consolidated_into": "",
"reason": ""
}
]
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}